package com.grkj.iscs.view.base

import android.content.Context

/**
 * MVP基类Presenter
 */
abstract class BasePresenter<T : IView?> {
    protected var mvpView: T? = null
    protected var mContext: Context? = null

    fun onCreate(mvpView: T, context: Context) {
        this.mvpView = mvpView
        mContext = context
    }

    open fun onDestroy() {
        mvpView = null
    }

    fun onLowMemory() {
        mvpView = null
    }
}